DSPROC_PROTO_PROCESS_ARRAY(3)

PROTO_FUNC
dsproc_PROTO_process_array - Process a general data structure into an output structure.

SYNOPSIS
#include <karma_dsproc.h>

flag dsproc_PROTO_process_array

(CONST packet_desc *inp_desc, CONST char *inp_data, packet_desc **out_desc, char **out_data)

DESCRIPTION
Process a general data structure into an output structure.

inp_desc
    The input descriptor.

inp_data
    The input data.

out_desc
    The output descriptor should be written here.

out_data
    The output data pointer should be written here.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/